/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNodeFilter_H___INT_
#define __GdomNodeFilter_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "NodeFilter.h"
namespace WebCore {
    gpointer toGDOM(NodeFilter* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMNodeFilter : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NODE_FILTER; }
    GDOMNodeFilter(PassRefPtr<WebCore::NodeFilter> impl);
    virtual ~GDOMNodeFilter();
    WebCore::NodeFilter* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::NodeFilter> m_impl;
};
G_END_DECLS

#endif /* __GdomNodeFilter_H___INT_*/
